### Virtual Method

# EDataBook DataBookCursor set_sexp

#### Declaration [src]

    gboolean
    set_sexp (
      EDataBookCursor* cursor,
      const gchar* sexp,
      GError** error
    )

#### Description [src]

The `EDataBookCursorSetSexpFunc` delegate to set the search expression.

#### Parameters

`sexp`

  Type: `const gchar*`

  The search expression to set, or `NULL` for unfiltered results.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on Success, otherwise `FALSE` is returned if any error occurred and `error` is set to reflect the error which occurred.